NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_exception(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_exception - Examine the current ADP exception state

## Table Of Contents

## Synopsis

- ok
- overflow
- abort
- break
- unknown

## Description

ns_adp_exception ?state?

This function is used to examine the current ADP exception state. The function returns 0 if the exception state is ok and 1 otherwise.

If the optional state argument is passed, a variable with that name will be set for the caller, and will contain the exception state with one of the following possible values:

ok

  ADP was evaluated successfully

overflow

  Stack overflow occurred. This might happen, for example, if there was a recursive call to ns_adp_include.

abort

  An attempt to debug failed or ns_adp_abort was called.

break

  ns_adp_break was called

unknown

  Unrecognized exception status. This should not occur.